<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/24/2005 *
 * ===================                          Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_sponsor_pays.php                       *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isGetRequestElementSet('id')) {
	// Check for selected sponsor
	$result = SQL_QUERY_ESC("SELECT `id` FROM `{?_MYSQL_PREFIX?}_sponsor_data` WHERE `id`='%s' LIMIT 1",
	array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// ...
		// Free memory
		SQL_FREERESULT($result);
	} else {
		// Sponsor not found!
		loadTemplate('admin_settings_saved', false, getMaskedMessage('ADMIN_SPONSOR_404', bigintval(getRequestElement('id'))));
	}
} else {
	// Not called by what-list_sponsor.php
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_CALL_NOT_DIRECTLY'));
}

//
?>
